#!/bin/sh
#called from pmcputemp.sh and pmcputemp binary.

HWprofile="$(grep -m 1 '^model name' /proc/cpuinfo | cut -f 2 -d ':' | sed -e 's%[^0-9a-zA-Z]%%g' | cut -c 1-63)"
if [ ! "$HWprofile" ];then
 HWprofile='xxx'
fi
echo -n "$HWprofile"
